package com.rjconsultores.ventaboletos.enums.comissao;

public enum StatusLogConferencia {
	
	CONFERIDO(0,"CONFERIDO"),
	PENDENCIA(1,"PENDÊNCIA");
	
	private String descricao;
	private Integer value;
	
	private StatusLogConferencia(Integer value, String descricao) {
		this.value = value;
		this.descricao = descricao;
	}

	@Override
	public String toString() {
		return this.descricao;
	}
	
	public static StatusLogConferencia getStatusLogConferencia(Integer value) {
		if(value == CONFERIDO.value) {
			return CONFERIDO;
		} else if(value == PENDENCIA.value) {
			return PENDENCIA;
		}
		return null;
	}

	public Integer getValue() {
		return value;
	}

}
